import {Component, EventEmitter, Input, Output} from '@angular/core';
import {IFrequency} from "app/shared/model/frequency.model";

@Component({
  selector: 'jhi-home-metadata',
  templateUrl: './metadata.component.html',
  styleUrls: ['./metadata.scss'],
})
export class MetadataComponent<T> {
  @Input() frequencies!: IFrequency<T>[] | undefined;
  @Input() parameter!: string;
  @Output() onSuggest: EventEmitter<IFrequency<T>> = new EventEmitter();

  constructor() {
  }

  suggestionWasClicked(frequency: IFrequency<T>): void {
    this.onSuggest.emit(frequency);
  }
}
